# Class Casava18ReadNameEncoder

java.lang.Object
picard.fastq.Casava18ReadNameEncoder

All Implemented Interfaces:
  `ReadNameEncoder`

public class Casava18ReadNameEncoder extends Object implements ReadNameEncoder
A read name encoder conforming to the standard described by Illumina Casava 1.8.

See Also:
  - Casava 1.8 update

## Constructor Summary

Constructors
Constructor
Description
`Casava18ReadNameEncoder(String instrumentName, String runId, String flowcellId)`

## Method Summary

Modifier and Type
Method
Description
`String`
`generateReadName(ClusterData cluster, Integer pairNumber)`
Generates a read name string for the provided cluster.
`String`
`generateShortName(ClusterData cluster)`
Generates a short read name that includes a minimal amount of information, this is used primarily for read sorting.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Casava18ReadNameEncoder

public Casava18ReadNameEncoder(String instrumentName, String runId, String flowcellId)

## Method Details

### generateReadName

public String generateReadName(ClusterData cluster, Integer pairNumber)
Description copied from interface: `ReadNameEncoder`
Generates a read name string for the provided cluster.

Specified by:
  `generateReadName` in interface `ReadNameEncoder`
Parameters:
  `cluster` - The cluster whose reads are having its name generated
  `pairNumber` - 1 if this is the first of the pair, 2 if it is the second, or null if this not a paired read.
Returns:
  The read name

### generateShortName

public String generateShortName(ClusterData cluster)
Description copied from interface: `ReadNameEncoder`
Generates a short read name that includes a minimal amount of information, this is used primarily for read sorting.

Specified by:
  `generateShortName` in interface `ReadNameEncoder`
Parameters:
  `cluster` - The cluster to generate the short read name from
Returns:
  The short read name